-- ~/.config/mpv/scripts/mpv_fhd.lua

-- 指定サイズににリサイズ
-- しかし 4K 動画を WQHD ディスプレイ等では最大化で再生開始になる
-- その場合に最大化解除させるのが面倒なので自動化するスクリプト
-- サイズバリエーションと元に戻す処理を追加しました

-- FHD
function on_fhd()
    mp.set_property('autofit', '1920x1080')
    if mp.get_property_bool('window-maximized') then
        mp.set_property('window-maximized', 'no')
    end
end

-- HD
function on_hd()
    mp.set_property('autofit', '1280x960')
    if mp.get_property_bool('window-maximized') then
        mp.set_property('window-maximized', 'no')
    end
end

-- VGA
function on_vga()
    mp.set_property('autofit', '540x480')
    if mp.get_property_bool('window-maximized') then
        mp.set_property('window-maximized', 'no')
    end
end

-- 元に戻す
function on_fit()
    mp.set_property('autofit', '')
    if mp.get_property_bool('window-maximized') then
        mp.set_property('window-maximized', 'no')
    end
end

mp.add_key_binding('Ctrl+1', 'fhd_func', on_fhd)
mp.add_key_binding('Ctrl+2', 'hd_func', on_hd)
mp.add_key_binding('Ctrl+3', 'vga_func', on_vga)
mp.add_key_binding('Ctrl+4', 'fit_func', on_fit)
